function(expirationTime, duration, progress, formatedDuration, name, icon, stacks)
    if not aura_env.region.text3 then
        local text3 = aura_env.region:CreateFontString(nil, "OVERLAY")
        aura_env.region.text3 = text3
        aura_env.region.text3:SetFont(aura_env.region.stacks:GetFont())
        aura_env.region.text3:SetTextColor(1, 1, 1, 1)
        aura_env.region.text3:SetPoint("BOTTOMRIGHT", aura_env.region, "BOTTOMRIGHT", -1, 1)
        aura_env.region.text3:Show()
    end
    aura_env.region.text3:SetText(progress)
end
